Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Interface KodoTransaction

All Superinterfaces:
  Transaction

All Known Implementing Classes:
  PersistenceManagerImpl

public interface KodoTransaction
extends Transaction

Extension of the `Transaction` interface that adds some Kodo-specific methods.

Method Summary
`void` | `commitAndResume()` Issue a commit and then start a new transaction.
`void` | `flush()` Flush all transactional instances to the datastore.
`void` | `rollbackAndResume()` Issue a rollback and then start a new transaction.

Methods inherited from interface javax.jdo.Transaction
`begin, commit, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManager, getRestoreValues, getRetainValues, getSynchronization, isActive, rollback, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues, setSynchronization`

Method Detail

### commitAndResume

    public void commitAndResume()

  Issue a commit and then start a new transaction. This is identical to:

      	pm.currentTransaction ().commit ();
      	pm.currentTransaction ().begin ();

  except that the PersistenceManager's internal atomic lock is utilized, so this method can be safely executed from multiple threads.
  Since:
    2.4
  See Also:
    `Transaction.commit()`, `Transaction.begin()`

### rollbackAndResume

    public void rollbackAndResume()

  Issue a rollback and then start a new transaction. This is identical to:

      	pm.currentTransaction ().rollback ();
      	pm.currentTransaction ().begin ();

  except that the PersistenceManager's internal atomic lock is utilized, so this method can be safely executed from multiple threads.
  Since:
    2.4
  See Also:
    `Transaction.rollback()`, `Transaction.begin()`

### flush

    public void flush()

  Flush all transactional instances to the datastore. This is particularly useful when using Kodo in conjunction with container-managed transactions, because this method allows bean code to flush any changes that the bean made to the database. This provides the bean code with an opportunity to handle any exceptions that might be raised during the flush process.
  Since:
    2.5.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.